Show / Hide Table of Contents

# Class Resolver

##### Inheritance

System.Object
Resolver

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: FFXIVClientStructs.Interop

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public sealed class Resolver

### Properties

| Improve this Doc View Source

#### Addresses

##### Declaration

    public IReadOnlyList<Address> Addresses { get; }

##### Property Value

Type | Description
--- | ---
IReadOnlyList<Address> |

| Improve this Doc View Source

#### GetInstance

##### Declaration

    public static Resolver GetInstance { get; }

##### Property Value

Type | Description
--- | ---
Resolver |

| Improve this Doc View Source

#### Version

##### Declaration

    public static uint Version { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Resolve()

##### Declaration

    public void Resolve()

| Improve this Doc View Source

#### SetupSearchSpace(IntPtr, Int32, Int32, Int32, Int32, Int32, Int32, Int32, Nullable<FileInfo>)

##### Declaration

    public void SetupSearchSpace(nint memoryPointer, int memorySize, int textSectionOffset, int textSectionSize, int dataSectionOffset, int dataSectionSize, int rdataSectionOffset, int rdataSectionSize, FileInfo? cacheFile = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | memoryPointer |
System.Int32 | memorySize |
System.Int32 | textSectionOffset |
System.Int32 | textSectionSize |
System.Int32 | dataSectionOffset |
System.Int32 | dataSectionSize |
System.Int32 | rdataSectionOffset |
System.Int32 | rdataSectionSize |
System.Nullable<FileInfo> | cacheFile |

| Improve this Doc View Source

#### SetupSearchSpace(IntPtr, Nullable<FileInfo>)

##### Declaration

    public void SetupSearchSpace(nint moduleCopy = 0, FileInfo? cacheFile = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | moduleCopy |
System.Nullable<FileInfo> | cacheFile |